Bug 631772 - (CVE-2010-3198) CVE-2010-3198 Zope: Zope child threads termination due unhandled exceptions in PluggableAuthService (PAS)
CVE-2010-3198 Zope: Zope child threads termination due unhandled exceptions i...
Status: CLOSED NEXTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20100902,reported=2...
: Security
Depends On: 772292
Blocks: 711503
  Show dependency treegraph
 
Reported: 2010-09-08 07:13 EDT by Jan Lieskovsky
Modified: 2016-03-01 04:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-09-08 07:13:47 EDT
Zope application server framework improperly handled certain exceptions
in the code of PluggableAuthService (PAS). A remote, unauthenticated
user could request / access a private page, resulting in unhandled
exception to occur and Zope thread termination. Repetition of the
attack scenario could allow an attacker to terminate all Zope child
treads, leading to denial of service.

References:
  [1] http://bugs.gentoo.org/show_bug.cgi?id=336317
  [2] https://bugs.launchpad.net/zope2/+bug/627988
  [3] http://secunia.com/advisories/41267/
  [4] http://www.zope.org/Products/Zope/2.10.12/zope-2.10.12-released
  [5] http://www.zope.org/Products/Zope/2.11.7/zope-2.10.12-released

Upstream changesets:
a, against v2.10 branch:
   [6] http://svn.zope.org/Zope/branches/2.10/?rev=116087&view=rev

b, against v2.11 branch:
   [7] http://svn.zope.org/Zope/branches/2.11/?rev=116088&view=rev
Comment 1 Jan Lieskovsky 2010-09-08 07:15:00 EDT
Public proof of concept (from [2]):
====================================

The easiest way to trigger this behaviour, is buildout.

Create this buildout.cfg:

[buildout]
extends=http://svn.plone.org/svn/collective/buildout/plonetest/plone-3.3.5.cfg

Get yourself a copy of bootstrap.py and run buildout.

* Start Zope
* Create a new Plone site
* Add a new page, make it private.
* Log out
* As anonymous, manually craft the following URL: http://yoursite/plone/new_page?came_from:list=123
Comment 2 Jan Lieskovsky 2010-09-08 07:16:10 EDT
This issue affects the version of the zope package, as present within
EPEL-5 repository.

Please fix.
Comment 12 Jan Lieskovsky 2012-01-06 12:28:40 EST
Statement:

Not vulnerable. This issue did not affect the versions of conga as shipped with Red Hat Cluster Suite for Red Hat Enterprise Linux 4 and as shipped with Red Hat Enterprise Linux 5 as they use own internal mechanism to verify if user requesting particular page is authenticated. Plone private pages permissions configuration mechanism is not used in conga.
Comment 13 Jan Lieskovsky 2012-01-06 12:29:51 EST
Created zope tracking bugs for this issue

Affects: epel-5 [bug 772292]

Note You need to log in before you can comment on or make changes to this bug.